Opened 7 years ago

Closed 6 years ago

#8435 closed bug (no change required)

[installoptionalpackage] error when installing OpenSSL

Reported by: starsseed Owned by: mmadia
Priority: normal Milestone: R1/beta1
Component: Applications/Command Line Tools Version: R1/Development
Keywords: Cc: greggd@…
Blocked By: Blocking:
Has a Patch: no Platform: All

Description

~> installoptionalpackage -a webpositive
To be installed:  WebPositive CARootCertificates OpenSSL WebPositiveBookmarks SQLite LibXML2 Curl 
[...]
Installing cert-2012-03-10.zip ...
Downloading http://haiku-files.org/files/optional-packages/cert-2012-03-10.zip ...
2012-03-31 12:52:14 URL:http://haiku-files.org/files/optional-packages/cert-2012-03-10.zip [116480/116480] -> "cert-2012-03-10.zip" [1]
Extracting cert-2012-03-10.zip ...
Installing : ...
Extracting  ...
Unhandled archive extension in InstallOptionalHaikuImagePackage()
... something went wrong when installing packages.
~> 

Change History (11)

comment:1 Changed 7 years ago by diver

Component: ApplicationsApplications/Command Line Tools
Owner: changed from nobody to mmadia
Status: newassigned

comment:2 Changed 7 years ago by mmadia

Works for me on hrev43937. Can you retest on hrev43930 or newer?

comment:3 Changed 7 years ago by starsseed

I tested hrev43541. (gcc2h/gcc4h home-build)
It still does not work for me.

Note : it does not depend on the package to install. The first package is installed successfully, whereas the next ones fail.

InstallOptionalPackage -a carootcertificates

=>ok

InstallOptionalPackage -a openssl
InstallOptionalPackage -a curl

=>ko

Any idea ?

comment:4 Changed 7 years ago by starsseed

Summary: [installoptionalpackage] error when installing CARootCertificates[installoptionalpackage] error when installing OpenSSL

Reading the script output, it seems installoptionalpackage try to install OpenSSL without downloading the package !

~> installoptionalpackage -a openssl
To be installed:  OpenSSL 
Installing : ...
Extracting  ...
Unhandled archive extension in InstallOptionalHaikuImagePackage()
... something went wrong when installing packages.

tested hrev44062 ( fresh clean build)

comment:5 Changed 7 years ago by scottmc

Milestone: R1R1/beta1
Version: R1/DevelopmentR1/alpha4

This is still present in hrev44582 (an rc-r1alpha4 build). Note that I had to remove OpenSSL and then it fails when trying to use installoptionalpackage to reinstall it. Since OpenSSL is installed by default this issue probably shouldn't be a hold up for the r1alpha4 release, but we should get it fixed in time for the first beta.

comment:6 Changed 7 years ago by mmadia

Version: R1/alpha4R1/Development

comment:7 Changed 7 years ago by HAL

I have the same bug hrev1alpha4-44612.

~> installoptionalpackage -a -s WebPositive WonderBrush BeBook Vision WebKit
Generating a list of Package Names ...
To be installed:  WonderBrush BeBook WebKit 
Installing WonderBrush-2.1.2.zip ...
Downloading http://haiku-files.org/files/optional-packages/WonderBrush-2.1.2-x86-gcc2-2008-11-08.zip ...
2012-09-30 14:58:22 URL:http://haiku-files.org/files/optional-packages/WonderBrush-2.1.2-x86-gcc2-2008-11-08.zip [2876122/2876122] -> "WonderBrush-2.1.2-x86-gcc2-2008-11-08.zip" [1]
Extracting WonderBrush-2.1.2-x86-gcc2-2008-11-08.zip ...
Installing bebook_20081026.zip ...
Downloading http://haiku-files.org/files/optional-packages/bebook_20081026.zip ...
2012-09-30 14:58:33 URL:http://haiku-files.org/files/optional-packages/bebook_20081026.zip [2478123/2478123] -> "bebook_20081026.zip" [1]
Extracting bebook_20081026.zip ...
Installing : ...
Downloading : ...
:: Scheme missing.
Extracting : ...
Unhandled archive extension in InstallOptionalHaikuImagePackage()
... something went wrong when installing packages.

It is not just OpenSSL. The bug appeared with installing BeBook for me.

Last edited 7 years ago by HAL (previous) (diff)

comment:8 Changed 7 years ago by HAL

Cc: greggd@… added

comment:9 Changed 7 years ago by HAL

In this bug #8412 the workaround to installoptionalpackage and other kernel panic, is disabling all but 1 CPU core. I was trying to find if there was any relation between that bug and the bug reported here. I am not using a virtual box but installed on real hardware. When I disabled all but 1 core I had no trouble installing with installoptionalpackage not matter what or how many packages. Also since my terminal output is similar to here except it is not just installing OpenSSL (at least with me), I was wondering about any relation? Does the starsseed or anyone else find disabling all but one CPU core, is a work around? My CPU is a AMD Phenom II 960T. I have changed it a bit in the BIOS to unlock two extra cores, so now it is a six core, with no official name.

comment:10 in reply to:  9 Changed 7 years ago by starsseed

Replying to HAL:

When I disabled all but 1 core I had no trouble installing with installoptionalpackage not matter what or how many packages. [...] Does the starsseed or anyone else find disabling all but one CPU core, is a work around?

disabling all but 1 CPU core doesn't change anything for me.

comment:11 Changed 6 years ago by mmadia

Resolution: no change required
Status: assignedclosed

IIRC, the issue of this was the inability to parse the url for the OpenSSL package.

With package-management being merged sooner-than-later, this issue will disappear as installoptionalpackage is no longer included nor needed.

Note: See TracTickets for help on using tickets.